PDA

View Full Version : Flying Bats script doesn't work in Firefox 1.5



tomdkat
10-05-2006, 01:36 AM
1) Script Title: Flying Bats

2) Script URL (on DD): http://www.dynamicdrive.com/dynamicindex4/bats.htm

3) Describe problem: The bats don't "fly". The script works fine in IE.

The Flying Bats page lists Firefox as a supported browser so I'm not sure why it's not working. I'm using Firefox 1.5.0.7 on Linux.

Any ideas?

Thanks!

Peace...

blm126
10-05-2006, 02:05 AM
All fine here Firefox 2 lastest test release Win XP

Roan
10-05-2006, 03:26 AM
Tom,

It *does* work, it just doesn't work in vBulletin. The script was made for standalone and I integrated it into vB. Looks great in IE and Opera, just no go for FF.

Brady,

How did you get that new release? All I see on their site is 1.5.0.7

Roan

blm126
10-05-2006, 08:03 PM
Brady,

How did you get that new release? All I see on their site is 1.5.0.7

http://www.mozilla.org/projects/bonecho/all-rc.html

Father Barry
10-06-2006, 08:50 AM
I found a similar problem when trying to integrate it with e107 CMS. I think it is now resolved by adding "px" to two lines in the script

if (ns6){

for (i=0; i < amount; i++){
document.getElementById(\"ns6Bats\"+i).style.top = Ypos+yBase*Math.sin(((currStep)+i*3.7)/4)*Math.cos((currStep+i*35)/10)+\"px\"
document.getElementById(\"ns6Bats\"+i).style.left =Xpos+xBase*Math.cos(((currStep)+i*3.7)/4)*Math.cos((currStep+i*35)/62)+\"px\"
}

Hope this helps you too.